package com.jz.dm.mall.moduls.controller.log;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.company.bean.CompanyAddReq;
import com.jz.dm.mall.moduls.controller.log.bean.LogInfoQueryReq;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.service.LogInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.controller.log
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoController
 * @USER: key
 * @DATE: 2020-12-3
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@RestController
@RequestMapping("/logInfo")
@Api(tags = "日志信息controller")
public class LogInfoController {

    @Autowired
    private LogInfoService logInfoService;

    /**
     * @Description: 添加企业认证信息
     * @Author: Mr.zhang
     * @Date: 2020-12-2
     */
    @PostMapping("/getMallLogInfo")
    @ApiOperation(value = "获取商城用户日志信息")
    public Mono<Result<PageInfoResponse<PlatformLog>>> getLogInfo(@RequestBody @Validated LogInfoQueryReq req) {
        return Mono.fromSupplier(() -> logInfoService.getMallUserLogInfo(req));
    }
}
